<template>
  <path
    d="m93.654 137.79a23.778 23.778 0 0 0-7.42-1.176c-10.493 0-19 6.5-18 18.5 1.042 12.5 8.507 17 19 17 1.168 0 2.31-0.102 3.42-0.299 1.21-0.214 2.381-0.54 3.5-0.966"
    stroke="#171921"
    stroke-width="8"
    fill="none"
  />
  <path
    d="m94.154 170.85a19.382 19.382 0 0 1-7.42 1.464c-10.493 0-17.958-4.5-19-17-1-12 7.507-18.5 18-18.5 3.138 0 6.187 0.606 8.92 1.73z"
    :fill="props.color"
    stroke="none"
  />
  <path
    d="m90.154 145.32c-4-1.833-12.8-2.8-16 8"
    stroke="#171921"
    stroke-width="4"
    fill="none"
  />
  <path
    d="m79.654 145.82c2.167 1.833 6.3 7.5 5.5 15.5"
    stroke="#171921"
    stroke-width="4"
  />
  <path
    v-if="props.earring === 'big'"
    d="m90.224 166.93c13.255 0 24 10.745 24 24s-10.745 24-24 24-24-10.745-24-24c0-6.391 3.5-11.5 6.572-16.5l0.928-1.5"
    stroke="#f4d150"
    stroke-width="4"
    fill="none"
  />
  <template v-if="props.earring === 'small'">
    <circle cx="88.91" cy="167.38" r="4" fill="#f4d150" />
    <circle cx="89.91" cy="166.38" r="1" fill="#ffedef" />
  </template>
</template>

<script lang="ts" setup>
import { EarringType } from '@/api'

const props = defineProps<{
  color: string
  earring: EarringType
}>()
</script>
